<?php
spl_autoload_register(function ($class) {
    $file = implode(DIRECTORY_SEPARATOR, [ __DIR__, 'lib', "$class.php" ]);
    if (file_exists($file)) {
        require $file;
        return true;
    }
    return false;
});

require 'user-config.php';

Data::ensureDb();

/**
 * Render the page title
 * @param string $title The title of the page being displayed
 */
function page_head(string $title): void {
    ?><!DOCTYPE html>
<html lang=en>
<head>
    <title><?=$title?> | Feed Reader Central</title>
    <link href=/assets/style.css rel=stylesheet>
</head>
<body>
<header>
    <a class=title href="/">Feed Reader Central</a>
    <div><?php
        if (array_key_exists('FRC_USER_ID', $_REQUEST)) {
            echo '<a href=/feed?id=new>Add Feed</a>';
            if ($_REQUEST['FRC_USER_EMAIL'] != 'solouser@example.com') {
                echo " | {$_REQUEST['FRC_USER_EMAIL']}";
            }
        } ?>
    </div>
</header>
<main hx-target=this>
<?php
}

/**
 * Render the end of the page
 */
function page_foot(): void {
    ?></main></body></html><?php
}
